// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// Sewer Glue

#ifndef				__HBS_SEWER_GLUE_HPP__
# define			__HBS_SEWER_GLUE_HPP__
# include			"Module.hpp"
# include			"Chrono.hpp"

namespace			hbs
{
  class				SewerGlue
  {
  public:
    enum			Klondike
      {
	FIRST_KLONDIKE,
	INTRO			= FIRST_KLONDIKE,
	MENU,
	INGAME,
	GAMEOVER,
	LAST_KLONDIKE
      };

    static const sf::Color	vic20palette[16];

  public:
    hbs::Chrono			chrono;
    int				klondike;

    hbs::Module			*module[LAST_KLONDIKE];
    sf::RenderWindow		screen;
    sf::RenderTexture		lowres_screen;

    int				x_tilesize;
    int				y_tilesize;

    void			Display(void);

  public:
    bool			Start(void);
    void			Play(void);

    int				GetScreenWidth(void) const;
    int				GetScreenHeight(void) const;

    SewerGlue(void);
    ~SewerGlue(void);
  };
}

#endif	//			__HBS_SEWER_GLUE_HPP__
